Name:           perl-Task-Kensho-Toolchain
Version:        0.28
Release:        8%{?dist}
Summary:        Task::Kensho::Toolchain Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Task-Kensho-Toolchain/
Source0:        http://www.cpan.org/authors/id/A/AP/APEIRON/Task-Kensho-Toolchain-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::AutoManifest)
BuildRequires:  perl(Module::Install::Repository)
# Run-time:
# Tests do not need them, but build script does.
BuildRequires:  perl(App::cpanminus)
BuildRequires:  perl(local::lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(version)
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(App::cpanminus)
Requires:       perl(local::lib)
Requires:       perl(version)

%{?perl_default_filter}

%description
Kenshō (見性) (C. Wu) is a Japanese term for enlightenment
experiences—most commonly used within the confines of Zen
Buddhism—literally meaning "seeing one's nature"[1] or "true self."[2] It
generally "refers to the realization of non-duality of subject and
object."[3]

Task::Kensho is a first cut at building a list of recommended modules for
Enlightened Perl development. CPAN is wonderful, but there are too many
wheels and you have to pick and choose among the various competing
technologies.

%prep
%setup -q -n Task-Kensho-Toolchain-%{version}
rm -rf inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
- Modernize spec file

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 0.28-6
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.28-4
- Perl mass rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.28-3
- Perl mass rebuild

* Sun Jun 19 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.28-2
- Perl mass rebuild

* Wed May 11 2011 Marcela Mašláňová <mmaslano@redhat.com> 0.28-1
- update to 0.28
- remove deffattr

* Tue Mar 22 2011 Marcela Mašláňová <mmaslano@redhat.com> 0.27-1
- Specfile autogenerated by cpanspec 1.79.
